## START: Set by rpmautospec
## (rpmautospec version 0.3.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 24
%bcond_without check
%global debug_package %{nil}

%global crate linux-loader

# compile and run tests only on supported architectures
%global supported_arches aarch64 x86_64

Name:           rust-linux-loader
Version:        0.9.1
Release:        %autorelease
Summary:        Linux kernel image loading crate

# Unintended license: https://github.com/rust-vmm/linux-loader/issues/136
License:        Apache-2.0 AND BSD-3-Clause
URL:            https://crates.io/crates/linux-loader
Source:         %{crates_source}
# Manually created patch for downstream crate metadata changes
# * remove criterion dependency, only for unused benchmarks
# * exclude extra docs and maintainer-only files from the package
Patch:          linux-loader-fix-metadata.diff

BuildRequires:  rust-packaging >= 21

%global _description %{expand:
A Linux kernel image loading crate.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE-APACHE
%license %{crate_instdir}/LICENSE-BSD-3-Clause
%doc %{crate_instdir}/CHANGELOG.md
%doc %{crate_instdir}/DESIGN.md
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+bzimage-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+bzimage-devel %{_description}

This package contains library source intended for building other packages which
use the "bzimage" feature of the "%{crate}" crate.

%files       -n %{name}+bzimage-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+elf-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+elf-devel %{_description}

This package contains library source intended for building other packages which
use the "elf" feature of the "%{crate}" crate.

%files       -n %{name}+elf-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+pe-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+pe-devel %{_description}

This package contains library source intended for building other packages which
use the "pe" feature of the "%{crate}" crate.

%files       -n %{name}+pe-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%ifarch %{supported_arches}
%cargo_build
%endif

%install
%cargo_install

%if %{with check}
%ifarch %{supported_arches}
%check
%cargo_test
%endif
%endif

%changelog
* Fri Sep 01 2023 David Michael <fedora.dm0@gmail.com> - 0.9.1-1
- Update to version 0.9.1

* Mon Jul 24 2023 David Michael <fedora.dm0@gmail.com> - 0.9.0-1
- Update to version 0.9.0 (rhbz#2192920, rhbz#2224871)

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Tue Apr 25 2023 Fabio Valentini <decathorpe@gmail.com> - 0.8.1-3
- Drop broken tests that were generated by an old version of bindgen

* Fri Apr 07 2023 David Michael <fedora.dm0@gmail.com> - 0.8.1-2
- Build for all targets with the new rust2rpm feature.

* Tue Mar 28 2023 David Michael <fedora.dm0@gmail.com> - 0.8.1-1
- Initial import. (fedora#2181025)
